
Foreman - Refactor #29498

make Plugin#pending_migration check plugin migrations instead of core ones

04/07/2020 01:09 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: DB migrations   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7574

  

Description

`pending_migration` method is used to check whether plugin permissions and roles should be initialized.

That should be based on plugin's migrations, but the method is now checking the core migrations only, as the plugin registration goes

before the migration paths registration.

Related issues:

Related to Foreman - Bug #30821: ActiveModel::UnknownAttributeError: unknown ... Closed

Associated revisions

Revision 3a5d4162 - 06/19/2020 09:56 AM - Ondřej Ezr

Fixes #29498 - improve pending_migrations check

History

#1 - 04/07/2020 01:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7574 added

#2 - 06/19/2020 09:56 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 06/19/2020 10:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 3a5d4162c0d0cbfaaf690d7b48b273bd097731ea.

#4 - 09/10/2020 05:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added

#5 - 09/14/2020 10:55 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #30821: ActiveModel::UnknownAttributeError: unknown attribute 'name' for Permission added
